Import plan package
POST/plans/v1/plans/package
Authentication scope: Workspace
Accessible using: OAuth 2.0 API Tokens
Import the plan and associated flows from the provided package.
The endpoint accepts a ZIP file exported by the export plan endpoint.
Before the import, you can perform a dry run to check for errors. See Import plan package - dry run.
This endpoint accepts a multipart/form-data content type.
Here is how to send the ZIP package using curl:
curl -X POST https://ayx-sandbox.bender.rocks/v4/plans/package \
-H 'authorization: Bearer <api-token>' \
-H 'content-type: multipart/form-data' \
-F 'data=@path/to/plan-package.zip'
The response includes a list of created objects.
Request
Responses
- 201
Success